import { forwardRef, Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CarritoMotivoController } from './carrito-motivo.controller';
import { CarritoMotivoService } from './carrito-motivo.service';
import { CarritoMotivo } from './entity/carrito-motivo.entity';
import { CarritoModule } from '../carrito/carrito.module';
import { StatusModule } from '../status/status.module';

@Module({
  imports: [
    forwardRef(() => CarritoModule),
    PassportModule.register({ defaultStrategy: 'jwt' }),
    StatusModule,
    TypeOrmModule.forFeature([CarritoMotivo]),
  ],
  controllers: [CarritoMotivoController],
  providers: [CarritoMotivoService],
  exports: [CarritoMotivoService],
})
export class CarritoMotivoModule {}
