import { Module } from '@nestjs/common';
import { ScheduleModule } from '@nestjs/schedule';
import { AppGateway } from '../app.gateway';
import { CronService } from './cron.service';
import { EquipoModule } from '../equipo/equipo.module';
import { InstitucionUsuarioModule } from '../institucion-usuario/institucion-usuario.module';
import { MultaModule } from '../multa/multa.module';
import { PrestamoModule } from '../prestamo/prestamo.module';

@Module({
  imports: [
    EquipoModule,
    InstitucionUsuarioModule,
    MultaModule,
    PrestamoModule,
    ScheduleModule.forRoot(),
  ],
  providers: [AppGateway, CronService],
})
export class CronModule {}
