import {
  IsBooleanString,
  IsNotEmpty,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class UsuariosInputDto {
  @IsNumberString()
  pagina: string;

  @IsBooleanString()
  @IsOptional()
  activo?: string;

  @IsNumberString()
  @IsOptional()
  id_carrera?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_usuario?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  nombre?: string;

  @IsBooleanString()
  @IsOptional()
  password?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  usuario?: string;
}
